aboutsummaryrefslogtreecommitdiffstats
path: root/packages/acpid/acpid-1.0.3
diff options
context:
space:
mode:
Diffstat (limited to 'packages/acpid/acpid-1.0.3')
-rw-r--r--packages/acpid/acpid-1.0.3/.mtn2git_empty0
-rw-r--r--packages/acpid/acpid-1.0.3/gcc40.patch13
-rwxr-xr-x[-rw-r--r--]packages/acpid/acpid-1.0.3/init26
3 files changed, 39 insertions, 0 deletions
diff --git a/packages/acpid/acpid-1.0.3/.mtn2git_empty b/packages/acpid/acpid-1.0.3/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/acpid/acpid-1.0.3/.mtn2git_empty
diff --git a/packages/acpid/acpid-1.0.3/gcc40.patch b/packages/acpid/acpid-1.0.3/gcc40.patch
index e69de29bb2..dbe090ba41 100644
--- a/packages/acpid/acpid-1.0.3/gcc40.patch
+++ b/packages/acpid/acpid-1.0.3/gcc40.patch
@@ -0,0 +1,13 @@
+Index: acpid-1.0.3/ud_socket.c
+===================================================================
+--- acpid-1.0.3.orig/ud_socket.c 2003-11-17 14:24:58.000000000 -0700
++++ acpid-1.0.3/ud_socket.c 2005-06-27 14:44:17.785576106 -0700
+@@ -58,7 +58,7 @@
+ while (1) {
+ int newsock = 0;
+ struct sockaddr_un cliaddr;
+- int len = sizeof(struct sockaddr_un);
++ socklen_t len = sizeof(struct sockaddr_un);
+
+ newsock = accept(listenfd, (struct sockaddr *)&cliaddr, &len);
+ if (newsock < 0) {
diff --git a/packages/acpid/acpid-1.0.3/init b/packages/acpid/acpid-1.0.3/init
index e69de29bb2..4937e71e9f 100644..100755
--- a/packages/acpid/acpid-1.0.3/init
+++ b/packages/acpid/acpid-1.0.3/init
@@ -0,0 +1,26 @@
+#! /bin/sh -e
+
+test -x /usr/sbin/acpid || exit 0
+test -d /proc/acpi || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting Advanced Configuration and Power Interface daemon: "
+ start-stop-daemon -S -x /usr/sbin/acpid -- -c /etc/acpi/events -s /var/run/.acpid.socket
+ echo "acpid."
+ ;;
+ stop)
+ echo -n "Stopping Advanced Configuration and Power Interface daemon: "
+ start-stop-daemon -K -x /usr/sbin/acpid
+ echo "acpid."
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: /etc/init.d/acpid {start|stop|restart|force-reload}"
+ exit 1
+esac
+
+exit 0